/* **********************************************************
 * Copyright (C) 1998-2000 VMware, Inc.
 * All Rights Reserved
 * $Id: task.h,v 1.4 2001/11/12 23:19:18 agesen Exp $
 * **********************************************************/



#ifndef TASK_H
#define TASK_H

#define INCLUDE_ALLOW_MODULE
#include "includeCheck.h"

struct InitBlock;

extern int Task_InitCrosspage(VMDriver *vm, struct InitBlock *params);
extern void Task_Switch(VMDriver *vm, Vcpuid vcpuid);
extern void Task_Switch_V4(VMDriver *vm, Vcpuid vcpuid);
extern void Task_ProbeSysenterMSR(void);
extern int Task_CheckPadding(void);

#endif



